
%define oname live-installer
%define xsetup_level 60

Name: mylive-install
Version: 1.0.24
Release: %mkrel 2

Summary: Live Installer
Source: %{oname}-%{version}.tar.xz
Group:  System/Configuration/Other
License: GPLv3
BuildRoot:  %{_tmppath}/%{name}-%{version}-buildroot
Requires: rsync
Requires: console-setup
Requires: python3-yaml
Requires: pclinuxos-release
Requires: webkitgtk2
Requires: imagemagick
Requires: python3
Requires: python3-pillow
Requires: python3-cairo
Requires: python-gobject3
Requires: python3-requests
Requires: python3-urllib3
Requires: python3-idna
Requires: gettext-base
Requires: locales
#Requires: yad
Requires: iso-codes
Requires: gdisk
Requires: sysvinit
Requires: shared-mime-info
Requires: gparted 
Requires: parted
Requires: python3-parted

Conflicts: draklive-install
Conflicts: live-installer


%description
Live iso installer for UfficioZero

%prep
%setup -qn %{oname}-%{version}

%build
#%make

%install
rm -rf %buildroot
mkdir -p %buildroot/%{_bindir}
mkdir -p %buildroot/%{_sbindir}
mkdir -p %buildroot/%{_datadir}/applications
mkdir -p %buildroot/%{_sysconfdir}
mkdir -p %buildroot/usr/lib
mkdir -p %buildroot/%{_datadir}/polkit-1/actions
mkdir -p %buildroot/%{_datadir}/locale
mkdir -p %buildroot/%{_datadir}/pixmaps

install -m 755 bin/%{oname} %buildroot/%{_bindir}
cp -rf lib/* %buildroot/usr/lib/%{oname}
cp -rf share/locale %buildroot/%{_datadir}
cp -rf share/icons %buildroot/%{_datadir}
install -m 755 share/applications/mylive-install.desktop %buildroot/%{_datadir}/applications
install -m 644 share/polkit-1/actions/org.live-installer.policy %buildroot/%{_datadir}/polkit-1/actions
install -m 644 share/pixmaps/*.svg %buildroot/%{_datadir}/pixmaps
install -m 644 etc/locales.gen %buildroot/%{_sysconfdir}/locales.gen

#run installer from boot menu
install -D -m 0755 %{name}.xsetup %buildroot%_sysconfdir/X11/xsetup.d/%{xsetup_level}%{name}.xsetup

#compatibility symlinks
ln -fs /usr/bin/live-installer %buildroot/usr/sbin/draklive-install
ln -fs /usr/bin/live-installer %buildroot/usr/bin/mylive-install


%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%{_sysconfdir}
%{_bindir}
%{_sbindir}
%{_datadir}
%{_prefix}/lib

%changelog
* Fri Jan 12 2024 adrianomorselli <dev@ufficiozero.org> 1.0.24-2ufficiozero2024
- rebuilded for UZL

* Mon Aug 07 2023 terryn - 1.0.24-1pclos2023
- fix swap size not always set in auto installation
- fix password entry boxes

* Sat Aug 05 2023 terryn - 1.0.23-1pclos2023
- add timezone to /etc/sysconfig/clock
- properly add a resume= if there isn't one

* Fri Jul 28 2023 terryn - 1.0.22-1pclos2023
- fix resume= in /etc/default/grub

* Fri Jul 28 2023 terryn - 1.0.21-1pclos2023
- don't transfer stale EFI loaders to install

* Thu Jul 27 2023 terryn - 1.0.20-1pclos2023
- fix EFI directory install

* Wed Jul 26 2023 tex - 1.0.19-1pclos2023
- fix typo ssdm to sddm

* Wed Jul 26 2023 terryn - 1.0.18-1pclos2023
- fix swap partition not created
- fix root password info dialog

* Mon Jul 24 2023 tex - 1.0.17-1pclos2023
- fix sddm.sh per daniel add cursor theme entry
- delete /var/run/user/1000 so it get created
- with the proper user at boot

* Mon Jul 24 2023 terryn - 1.0.16-1pclos2023
- install from /union rather than sqfs to keep changes
- make new initrd

* Fri Jul 21 2023 tex - 1.0.15-1pclos2023
- drop user big letters in setting password
- drop warning about weak passwords

- add popup informing user the root password

* Thu Jul 20 2023 tex - 1.0.14-1pclos2023
- fix util.py modprobe efivarfs

* Thu Jul 20 2023 tex - 1.0.13-1pclos2023
- add python launcher
- drop yad dependency
- test install change from boot menu

* Sun Jul 16 2023 tex - 1.0.12-1pclos2023
- revert rsync
- fix low volume sound on installation

* Sun Jul 16 2023 tex - 1.0.11-1pclos2023
- test rsync /changes folder

* Sun Jul 16 2023 terryn - 1.0.10-1pclos2023
- create grub install.sh for config tools

* Thu Jul 13 2023 tex - 1.0.9-1pclos2023
- copy /etc/sysconfig/harddrake2 contents from
- the changes folder

* Wed Jul 12 2023 tex - 1.0.8-1pclos2023
- drop /branding/hosts
- update installer.py for hostname and hosts and
- drop useless junk we do not need
- update cleanup.sh to fix /etc/sysconfig/network hostname

* Wed Jul 12 2023 tex - 1.0.7-1pclos2023
- drop touch delete guest account in cleanup.sh
- fix restore services on installation that were
- disabled on live media (installer.py)

* Wed Jul 12 2023 Ken - 1.0-6-1pclos2023
- added back welcome.py 
- fix reduced sleep time 1 line 581 to gtk_interface.py
- fixed config.py configuration error in apt.yaml
- edited apt.yaml removed dpkg as we don't use it.    

* Mon Jul 10 2023 Ken - 1.0-5-1pclos2023
- moved cleanup.sh commands to installer.py
- edited gdm part in installer and added gdm.sh to scripts folder
- removed unneeded yaml config set up in config.py and cleanup.sh 
- as the scripts folder is used now for sddm and gdm configuration.  

* Sun Jul 09 2023 Ken - 1.0.4-1pclos2023
- fix changes in /usr/bin/live-installer 
- fix add sleep time 4 line 581 to gtk_interface.py
- removed welcome.py as not needed now 

* Sat Jul 08 2023 tex - 1.0.3-1pclos2023
- copy specific files from /changes folder
- instead of using rsync in cleanup.sh script
- fix 10-keyboard.conf to 00-keyboard.conf in
- the installer.py so you don't have 2 conflicting files
- change desktop file name to mylive-install.desktop

* Sat Jul 08 2023 tex - 1.0.2-1pclos2023
- add 4 sec delay to try to fix welcome screen
- use cleanup.sh instead of clean-up.sh script
- try to restore services on installation that were
- disabled on the live media
- fix file permissions

* Fri Jul 07 2023 tex - 1.0.1-1pclos2023
- try to fix install from boot menu
- fix root password to user password
- change name of package

* Fri Jul 07 2023 Ken <lxgator at gmail.com> 1.0-1pclos2023
- Create rpm
